import request from '@/utils/request'

// 查询商品规则值(规格)列表
export function listStoreProductRule(query) {
  return request({
    url: '/store/store/storeProductRule/list',
    method: 'get',
    params: query
  })
}

// 查询商品规则值(规格)详细
export function getStoreProductRule(id) {
  return request({
    url: '/store/store/storeProductRule/' + id,
    method: 'get'
  })
}

// 新增商品规则值(规格)
export function addStoreProductRule(data) {
  return request({
    url: '/store/store/storeProductRule',
    method: 'post',
    data: data
  })
}

// 修改商品规则值(规格)
export function updateStoreProductRule(data) {
  return request({
    url: '/store/store/storeProductRule',
    method: 'put',
    data: data
  })
}

// 删除商品规则值(规格)
export function delStoreProductRule(id) {
  return request({
    url: '/store/store/storeProductRule/' + id,
    method: 'delete'
  })
}

// 导出商品规则值(规格)
export function exportStoreProductRule(query) {
  return request({
    url: '/store/store/storeProductRule/export',
    method: 'get',
    params: query
  })
}


export function getAllStoreProductRule() {
  return request({
    url: '/store/store/storeProductRule/getAllList',
    method: 'get'
  })
}
